Jump to content
  • 2

KSP crashing on loading


Question

Recently got myself KSP on steam but when i try to launch it, it just comes up with a black screen for about 5 seconds then some unity crash handler window pops up. A copy of Player.log is here and output_log.txt is here. I'm running the latest version(which appears to be 1.8) on windows x64 with no mods or dlc, 8g of ram, a 4g gt730 and a amd fx-4300.

Edited by onixiya
Links to logs
Link to post
Share on other sites

20 answers to this question

Recommended Posts

  • 1

Fresh install on Win7

DX11 already installed

No Mods.

KSP 1.9 crashes.

 

Spec: 16Gb / SSD / Geforce 1070

 

Fun fact: 1.8 runs fine.

Edited by Sirad
Link to post
Share on other sites
  • 1

Well looked at the Topic, wrong thread. have to open a new one or, eh nevermind...

While every version of ksp ran quite well on my rig, this one dont. No logs, because no logs getting created. (besides: where to look at ?)

I wait for a new version, maybe next iteration solves it.

Link to post
Share on other sites
  • 0
5 minutes ago, Nigel J. Cardozo said:

Nothing is there in my KSP directory.

Maybe thats the issue with you @Nigel J. Cardozo, if there is nothing in GameData folder the game cant load.

Make sure that you have a Squad folder, and if you have expansions, look for a SquadExpansion folder too.

Link to post
Share on other sites
  • 0
4 hours ago, Commodoregamer118 said:

Maybe thats the issue with you @Nigel J. Cardozo, if there is nothing in GameData folder the game cant load.

Make sure that you have a Squad folder, and if you have expansions, look for a SquadExpansion folder too.

It is there

Link to post
Share on other sites
  • 0

Hello @Nigel J. Cardozo this is not a bug, (in my understanding)

What is on log is that your system don't support some direct DX11, commands that are given to load the textures and shaders.

Please note that until KSP 1.7.x DX9  API is the default
Please note that above KSP 1.8.0 DX11 API is the default

And basically your system (graphic card) don't support the load of all content that is trying to be loaded, its not a bug.
The workaround for loading KSP 1.8.1 or 1.9 is to force a load using the old DX9 driver

"<path to KSP directory>\KSP_x64.exe" -force-d3d9
--or--(for steam)
"C:\Program Files (x86)\Steam\steamapps\common\Kerbal Space Program\KSP_x64.exe" -force-d3d9

This is my hint, but I am not 100% sure that will solve your problem.

Edited by pmborg
Link to post
Share on other sites
  • 0
17 hours ago, pmborg said:

Hello @Nigel J. Cardozo this is not a bug, (in my understanding)

What is on log is that your system don't support some direct DX11, commands that are given to load the textures and shaders.

Please note that until KSP 1.7.x DX9  API is the default
Please note that above KSP 1.8.0 DX11 API is the default

And basically your system (graphic card) don't support the load of all content that is trying to be loaded, its not a bug.
The workaround for loading KSP 1.8.1 or 1.9 is to force a load using the old DX9 driver

"<path to KSP directory>\KSP_x64.exe" -force-d3d9
--or--(for steam)
"C:\Program Files (x86)\Steam\steamapps\common\Kerbal Space Program\KSP_x64.exe" -force-d3d9

This is my hint, but I am not 100% sure that will solve your problem.

It didn't work.

Link to post
Share on other sites
  • 0
1 hour ago, Nigel J. Cardozo said:

It didn't work.

When you are updating from 1.7.3 to 1.8.1 or 1.9 not only the DirectX API change but also the unity core version also changed, which and as a consequence almost all mods that have dlls need to be also upgraded for from 1.7.3 to respective version and you should use CKAN for that.

So the test that I suggested only applies if you backup your current installation and test it, in a fresh clean installation without mods first, and after the failure share the logs, using this link as a help, once you stated before, "No logs":

 

If this don't work probably you don't have the same problem that started the thread.

Edited by pmborg
Link to post
Share on other sites
  • 0
10 hours ago, pmborg said:

When you are updating from 1.7.3 to 1.8.1 or 1.9 not only the DirectX API change but also the unity core version also changed, which and as a consequence almost all mods that have dlls need to be also upgraded for from 1.7.3 to respective version and you should use CKAN for that.

So the test that I suggested only applies if you backup your current installation and test it, in a fresh clean installation without mods first, and after the failure share the logs, using this link as a help, once you stated before, "No logs":

 

If this don't work probably you don't have the same problem that started the thread.

I always use CKAN to update and download mods. 

I have also tried a fresh install without mods and then with mods. Some mods that I used during these tests were:

Mechjeb 

Tundra Exploration

And... This is a bug report:

https://bugs.kerbalspaceprogram.com/issues/24058

Unfortunately, there are no logs

Edited by Nigel J. Cardozo
Link to post
Share on other sites
  • 0

Without your logs there isn't much that can be added.

Please upload your log file to a file sharing site, such as Google Drive, and share the link here.

Edited by pmborg
Link to post
Share on other sites
  • 0

Hi Nigel,

For starters, did you try a clean, new install via steam, does that work? To do so: make a backup of your current installation, then uninstall KSP, and delete the KSP folder manually to make sure that no residual stuff can be interfering. Only after deleting everything KSP-related try a fresh install.

Link to post
Share on other sites
  • 0
22 hours ago, VoidSquid said:

Hi Nigel,

For starters, did you try a clean, new install via steam, does that work? To do so: make a backup of your current installation, then uninstall KSP, and delete the KSP folder manually to make sure that no residual stuff can be interfering. Only after deleting everything KSP-related try a fresh install.

Tried it. It just doesn't work

Link to post
Share on other sites
  • 0
On 2/15/2020 at 9:09 AM, Nigel J. Cardozo said:

I always use CKAN to update and download mods. 

I have also tried a fresh install without mods and then with mods. Some mods that I used during these tests were:

Mechjeb 

Tundra Exploration

And... This is a bug report:

https://bugs.kerbalspaceprogram.com/issues/24058

Unfortunately, there are no logs

If you have any mods installed, then they probably have MiniAVC.dll (most do).  Unfortunately, MiniAVC.dll is broken in 1.8 and above.

See this post for complete details on what to do:

 

Link to post
Share on other sites
This thread is quite old. Please consider starting a new thread rather than reviving this one.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...